### Method

# Gtk CellAreaattribute_connect

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_attribute_connect (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* attribute,
      int column
    )

#### Description [src]

Connects an `attribute` to apply values from `column` for the `GtkTreeModel` in use.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer` to connect an attribute for.

  The data is owned by the caller of the method.

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`column`

  Type: `int`

  The `GtkTreeModel` column to fetch attribute values from.